package com.goafanti.order.service;

import java.util.List;
import java.util.Map;


import com.goafanti.common.model.User;
import com.goafanti.order.bo.TOrderNewBo;
import com.goafanti.order.bo.UserOrder;
import org.springframework.web.multipart.MultipartFile;

import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.order.bo.ReceivablesListBo;
import com.goafanti.order.bo.TemporaryReceivablesBo;

public interface OrderReceivablesService {

	int addReceivables(TemporaryReceivablesBo t);

	int updateReceivables(TemporaryReceivablesBo t);

	int deleteReceivables(String id);

	int deleteAllReceivables();

	int batchImport(Integer mergeStatus);


	void batchListReceivables(MultipartFile file);

	Pagination<ReceivablesListBo> listReceivables(ReceivablesListBo rl,Integer status,String adminName, String adminDeps, String orderDeps,
												  Integer mergeStatus, Integer pageSize,
			Integer pageNo);


	Map<String, Object> getCountlistReceivables(ReceivablesListBo rl, Integer status, String adminName, String adminDeps,
			String orderDeps,Integer mergeStatus);


    int pushWaitingMerge(String ids);

    List<UserOrder > matchingOrderNo(String value);

	List<UserOrder > matchingUser(String value);
}
